<?php

include('../../../configuracion.php');
include('config.php');
include_once 'class.upload.php'; 



    // Comprobamos si se subió la imagen
            
                
                set_include_path(get_include_path() . PATH_SEPARATOR . 'mago/lib/');
	            include '../../lib/PHPExcel/IOFactory.php';

                $inputFileName = 'documento/cargar-listado.xlsx';	
 
                try {
                    $objPHPExcel = PHPExcel_IOFactory::load($inputFileName);
                } catch(Exception $e) {
                    die('Error loading file "'.pathinfo($inputFileName,PATHINFO_BASENAME).'": '.$e->getMessage());
                }

                $allDataInSheet = $objPHPExcel->getActiveSheet()->toArray(null,true,true,true);
                $arrayCount = count($allDataInSheet);
 
                $datos_base = array();
                

                /*
                A = area
                B = categoria
                C = marca
                D = codigo
                E = precio
                F = precio_oferta
                G = stock
                H = peso
                I = ancho
                J = alto
                K = largo
                L = nombre
                M = resumen
                N = descripcion
                O = destacado
                P = promocion
                Q = nuevo
                R = pronto
                S = relacionados
                T = imagen
                U = miniatura
                V = recorte
                W = metatitle
                X = metadescription
                Y = keywords
                Z = estado

                de la T  a la V imagenes
                */

                $conteonuevos = 0;
                $conteoantiguos = 0;

                $autor = $_SESSION['administrador_mago_id'];
                $fecha = date('Y-m-d H:i:s');

                for($i=2;$i<=$arrayCount;$i++){

                   
                    $categoria	    = str_replace(".",",",trim($allDataInSheet[$i]["A"]));
                    $marca	        = trim($allDataInSheet[$i]["B"]);
                    $codigo	        = trim($allDataInSheet[$i]["C"]);
                    $precio	        = trim($allDataInSheet[$i]["D"]);
                    $precio_oferta	= trim($allDataInSheet[$i]["E"]);
                    $stock	        = trim($allDataInSheet[$i]["F"]);
                    $peso	        = trim($allDataInSheet[$i]["G"]);
                    $nombre	        = trim($allDataInSheet[$i]["H"]);
                    $resumen	    = trim($allDataInSheet[$i]["I"]);
                    $texto	        = trim($allDataInSheet[$i]["J"]);
                    $destacado	    = trim($allDataInSheet[$i]["K"]);
                    $promocion	    = trim($allDataInSheet[$i]["L"]);
                    $nuevo	        = trim($allDataInSheet[$i]["M"]);
                    $pronto	        = trim($allDataInSheet[$i]["N"]);
                    $relacionados	= trim($allDataInSheet[$i]["O"]);
                    $imagen	        = trim($allDataInSheet[$i]["P"]);
                    $miniatura	    = trim($allDataInSheet[$i]["Q"]);
                    $recorte	    = trim($allDataInSheet[$i]["R"]);
                    $metatitle	    = trim($allDataInSheet[$i]["S"]);
                    $metadescription	    = trim($allDataInSheet[$i]["T"]);
                    $keywords	    = trim($allDataInSheet[$i]["U"]);
                    $estado	        = trim($allDataInSheet[$i]["V"]);
                    
                    
                    $nombre = funcion::LimpiaComillaSimple($nombre);
                    $resumen = funcion::LimpiaComillaSimple($resumen);
                    $descripcion = funcion::LimpiaComillaSimple($descripcion);

                    $metatitle = ($metatitle!="")? funcion::LimpiaComillaSimple($metatitle) : $nombre;
                    $metadescription = ($metadescription!="")? funcion::LimpiaComillaSimple($metadescription) : $resumen;
                    $keywords = funcion::LimpiaComillaSimple($keywords);

                    $descripcion = str_replace('\n',"<br>",$descripcion);

                    $noexiste = $db->row("productos","*","codigo='{$codigo}'");
                            
                    if(!$noexiste){
                           
                        

                            $datos = array(
                                'categoria'         => $db->string($categoria),
                                'marca'             => @$marca+0,
                                'codigo'            => $db->string($codigo),
                                'nombre'            => $db->string($nombre),
                                'stock'             => @$stock+0,
                                'precio'            => @$precio+0,
                                'precio_oferta'     => @$precio_oferta+0,
                                'resumen'           => $db->string($resumen,HTML),
                                'texto'             => $db->string($descripcion,HTML),
                                'peso'              => @$peso+0,
                                'destacado'         => @$destacado+0,
                                'promocion'			=> @$promocion+0,
                                'nuevo'			    => @$nuevo+0,
                                'pronto'			=> @$pronto+0,
                                'relacionados'      => $db->string($relacionados),
                                'metatitle'         => $db->string($metatitle),
                                'metadescription'         => $db->string($metadescription),
                                'keywords'          => $db->string($keywords),
                                'estado'            => @$estado+0,
                                'autor' => $autor,
                                'fecha_ingreso' => $db->string($fecha),
                                'editor' => $autor,
                                'fecha_edicion' => $db->string($fecha),

                            );

                            $db->insert(TABLA,$datos);
                            $id = $db->UltimoId(TABLA);

                            $conteonuevos++;
                

                            
                            // Creamos el Slug
                            $slug = funcion::slug($nombre);
                            $busqueda = funcion::slug($nombre).'-'.$db->getVar('categorias','slug',"id='{$categoria}'").'-'.$db->getVar('areas','slug',"id='{$area}'");
                            $busqueda_resumen = funcion::slug($resumen);


                            // Verificamos que no se repita el slug
                            $validar_slug = $db->results(TABLA,'id',"slug='{$slug}'");
                            if(count($validar_slug)){
                                $slug = $slug;
                            }

                            // Subimos a la base de datos
                            $datos_orden = array(
                                'orden'		=> @$id+0,
                                'slug'		=> $db->string($slug),
                                'busqueda'	=> $db->string($busqueda),
                                'busqueda_resumen'	=> $db->string($busqueda_resumen)
                            );		
                            $db->update(TABLA,$datos_orden,"id='$id'");

    
                    

                    $ruta = "../../../imagenes/".FOLDER;
                    include_once 'class.upload.php';
                    
                    if(!empty(trim($allDataInSheet[$i]["P"]))){

                    
                    copy(trim($allDataInSheet[$i]["P"]),'../../../imagenes/productos/'.str_replace("#","",$codigo).'.jpg');


                    
                    $imagen = new upload('../../../imagenes/productos/'.str_replace("#","",$codigo).'.jpg');



                    // Comprobamos si se subió la imagen
                    if ($imagen->uploaded) {
                    
                        $datos = array(
                            'imagen'	=> $db->string(str_replace("#","",$codigo).'.jpg'),
                        );		
                        $db->update(TABLA,$datos,"id='$id'");

                    // ===================================================================================
                    // CREAMOS LA MINIATURA
                    
                        $imagen->image_convert			    = 'jpg';
                        $imagen->jpeg_quality				= 92;
                        $imagen->file_new_name_body		    = str_replace("#","",$codigo).'-min';
                        $imagen->file_new_name_ext		    = 'jpg';
                        $imagen->image_resize				= true;
                        $imagen->image_ratio_crop			= true;
                        $imagen->image_background_color	    = '#000000';
                        $imagen->image_x					= 300; /* Ancho */
                        $imagen->image_y					= 300; /* Alto */
                        
                        $imagen->process($ruta);
                        if ($imagen->processed) {
                            
                            // Subimos a la base de datos
                            $datos = array(
                                'miniatura'	=> $db->string($imagen->file_dst_name),
                            );		
                            $db->update(TABLA,$datos,"id='$id'");	
                            
                            }
                    // FIN DE LA CREACIÓN DE LA MINIATURA
                    // ===================================================================================
                    
                    // ===================================================================================
                    // CREAMOS EL RECORTE
                    
                        $imagen->image_convert			    = 'jpg';
                        $imagen->jpeg_quality				= 92;
                        $imagen->allowed					= array('image/*');
                        $imagen->file_new_name_body		    = str_replace("#","",$codigo).'-rec';
                        $imagen->file_new_name_ext		    = 'jpg';
                        $imagen->image_resize				= true;
                        $imagen->image_ratio_crop			= true;
                        $imagen->image_background_color	    = '#fff';
                        $imagen->image_x					= 100; /* Ancho */
                        $imagen->image_y					= 100; /* Alto */
                        
                        $imagen->process($ruta);
                        if ($imagen->processed) {
                            
                            // Subimos a la base de datos
                            $datos = array(
                                'recorte'	=> $db->string($imagen->file_dst_name),
                            );		
                            $db->update(TABLA,$datos,"id='$id'");	
                            
                            }
                    // FIN DE LA CREACIÓN DEL RECORTE
                    // ===================================================================================
                            
                    }

                    }





                }else{

                    


                    $datos = array(
                        'categoria'         => $db->string($categoria),
                        'marca'             => @$marca+0,
                        'codigo'            => $db->string($codigo),
                        'nombre'            => $db->string($nombre),
                        'stock'             => @$stock+0,
                        'precio'            => @$precio+0,
                        'precio_oferta'     => @$precio_oferta+0,
                        'resumen'           => $db->string($resumen,HTML),
                        'texto'             => $db->string($descripcion,HTML),
                        'peso'              => @$peso+0,
                        'destacado'         => @$destacado+0,
                        'promocion'			=> @$promocion+0,
                        'nuevo'			    => @$nuevo+0,
                        'pronto'			=> @$pronto+0,
                        'relacionados'      => $db->string($relacionados),
                        'metatitle'         => $db->string($metatitle),
                        'metadescription'         => $db->string($metadescription),
                        'keywords'          => $db->string($keywords),
                        'estado'            => @$estado+0,
                        'editor' => $autor,
                        'fecha_edicion' => $db->string($fecha),

                    );

                    $db->update(TABLA,$datos,"id='{$noexiste->id}'");
                    
                    $conteoantiguos++;
                    

                    if($noexiste->nombre!=$nombre) {
                        // Creamos el Slug
                        $slug = funcion::slug($nombre);
                        $busqueda = funcion::slug($nombre).'-'.$db->getVar('categorias','slug',"id='{$categoria}'").'-'.$db->getVar('areas','slug',"id='{$area}'");
                        $busqueda_resumen = funcion::slug($resumen);
                
                        // Verificamos que no se repita el slug
                        $validar_slug = $db->results(TABLA,'id',"slug='{$slug}'");
                        if(count($validar_slug)){
                            $slug = $slug.'-'.$id;
                        }
                
                        // Subimos a la base de datos
                        $datos_orden = array(
                            'orden'		=> @$id+0,
                            'slug'		=> $db->string($slug),
                            'busqueda'	=> $db->string($busqueda),
                            'busqueda_resumen'	=> $db->string($busqueda_resumen)
                        );		
                        $db->update(TABLA,$datos_orden,"id='$noexiste->id'");
                     }


                     

            $ruta = "../../../imagenes/".FOLDER;
            include_once 'class.upload.php';
                    
            if(!empty(trim($allDataInSheet[$i]["P"]))){

            
            copy(trim($allDataInSheet[$i]["P"]),'../../../imagenes/productos/'.str_replace("#","",$codigo).'.jpg');


            
            $imagen = new upload('../../../imagenes/productos/'.str_replace("#","",$codigo).'.jpg');



            // Comprobamos si se subió la imagen
            if ($imagen->uploaded) {

                    $imagen->image_convert			= 'jpg';
					$imagen->jpeg_quality				= 92;
					$imagen->allowed					= array('image/*');
					$imagen->file_new_name_body		= $id;
					$imagen->file_new_name_ext		= 'jpg';
					$imagen->image_resize				= true;
					$imagen->image_ratio_crop			= true;
					$imagen->image_background_color	= '#000000';
					$imagen->image_x					= 900; /* Ancho */
					$imagen->image_y					= 900; /* Alto */
			  
                    $imagen->process($ruta);
                    if ($imagen->processed) {
                $datos = array(
                    'imagen'	=> $db->string(str_replace("#","",$codigo).'.jpg'),
                );		
                $db->update(TABLA,$datos,"id='{$noexiste->id}'");
            }

            // ===================================================================================
            // CREAMOS LA MINIATURA
            
                $imagen->image_convert			    = 'jpg';
                $imagen->jpeg_quality				= 92;
                $imagen->file_new_name_body		    = str_replace("#","",$codigo).'-min';
                $imagen->file_new_name_ext		    = 'jpg';
                $imagen->image_resize				= true;
                $imagen->image_ratio_crop			= true;
                $imagen->image_background_color	    = '#000000';
                $imagen->image_x					= 300; /* Ancho */
                $imagen->image_y					= 300; /* Alto */
                
                $imagen->process($ruta);
                if ($imagen->processed) {
                    
                    // Subimos a la base de datos
                    $datos = array(
                        'miniatura'	=> $db->string($imagen->file_dst_name),
                    );		
                    $db->update(TABLA,$datos,"id='{$noexiste->id}'");	
                    
                    }
            // FIN DE LA CREACIÓN DE LA MINIATURA
            // ===================================================================================
            
            // ===================================================================================
            // CREAMOS EL RECORTE
            
                $imagen->image_convert			    = 'jpg';
                $imagen->jpeg_quality				= 92;
                $imagen->allowed					= array('image/*');
                $imagen->file_new_name_body		    = str_replace("#","",$codigo).'-rec';
                $imagen->file_new_name_ext		    = 'jpg';
                $imagen->image_resize				= true;
                $imagen->image_ratio_crop			= true;
                $imagen->image_background_color	    = '#fff';
                $imagen->image_x					= 100; /* Ancho */
                $imagen->image_y					= 100; /* Alto */
                
                $imagen->process($ruta);
                if ($imagen->processed) {
                    
                    // Subimos a la base de datos
                    $datos = array(
                        'recorte'	=> $db->string($imagen->file_dst_name),
                    );		
                    $db->update(TABLA,$datos,"id='{$noexiste->id}'");	
                    
                    }
            // FIN DE LA CREACIÓN DEL RECORTE
            // ===================================================================================
                    
            }

            }






                }
                
                }
			
	       
			// FIN DE LA CREACIÓN DEL ARCHIVO
			// ===================================================================================
         
            /////////////////////////////////////////////////////////

        
            $_SESSION["conteoantiguos"] = $conteoantiguos;
            $_SESSION["conteonuevos"] = $conteonuevos;    
            $_SESSION["conteototal"] = $conteonuevos+$conteoantiguos; 

header('Location:'.MAGO.'c/'.MODULO.'?cargados');
exit;

?>